com.io7m.r2.core

## Class R2TranslucentBatched.Builder<M>

- java.lang.Object
- - com.io7m.r2.core.R2TranslucentBatched.Builder<M>

- Enclosing class:
    R2TranslucentBatched<M>

      public static final class R2TranslucentBatched.Builder<M>
      extends Object

  Builds instances of type `R2TranslucentBatched`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2TranslucentBatched<M>` | `build()` Builds a new `R2TranslucentBatched`.
    `R2TranslucentBatched.Builder<M>` | `from(R2TranslucentBatchedType<M> instance)` Fill a builder with attribute values from the provided `R2TranslucentBatchedType` instance.
    `R2TranslucentBatched.Builder<M>` | `setBlending(com.io7m.jcanephora.renderstate.JCGLBlendState blending)` Initializes the optional value `blending` to blending.
    `R2TranslucentBatched.Builder<M>` | `setBlending(Optional<com.io7m.jcanephora.renderstate.JCGLBlendState> blending)` Initializes the optional value `blending` to blending.
    `R2TranslucentBatched.Builder<M>` | `setCulling(com.io7m.jcanephora.renderstate.JCGLCullingState culling)` Initializes the value for the `culling` attribute.
    `R2TranslucentBatched.Builder<M>` | `setInstance(R2InstanceBatchedType instance)` Initializes the value for the `instance` attribute.
    `R2TranslucentBatched.Builder<M>` | `setShader(R2ShaderTranslucentInstanceBatchedType<M> shader)` Initializes the value for the `shader` attribute.
    `R2TranslucentBatched.Builder<M>` | `setShaderParameters(M shaderParameters)` Initializes the value for the `shaderParameters` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2TranslucentBatched.Builder<M> from(R2TranslucentBatchedType<M> instance)

      Fill a builder with attribute values from the provided `R2TranslucentBatchedType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setInstance

          public final R2TranslucentBatched.Builder<M> setInstance(R2InstanceBatchedType instance)

      Initializes the value for the `instance` attribute.
      Parameters:
        `instance` - The value for instance
      Returns:
        `this` builder for use in a chained invocation

    - #### setShader

          public final R2TranslucentBatched.Builder<M> setShader(R2ShaderTranslucentInstanceBatchedType<M> shader)

      Initializes the value for the `shader` attribute.
      Parameters:
        `shader` - The value for shader
      Returns:
        `this` builder for use in a chained invocation

    - #### setShaderParameters

          public final R2TranslucentBatched.Builder<M> setShaderParameters(M shaderParameters)

      Initializes the value for the `shaderParameters` attribute.
      Parameters:
        `shaderParameters` - The value for shaderParameters
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlending

          public final R2TranslucentBatched.Builder<M> setBlending(com.io7m.jcanephora.renderstate.JCGLBlendState blending)

      Initializes the optional value `blending` to blending.
      Parameters:
        `blending` - The value for blending
      Returns:
        `this` builder for chained invocation

    - #### setBlending

          public final R2TranslucentBatched.Builder<M> setBlending(Optional<com.io7m.jcanephora.renderstate.JCGLBlendState> blending)

      Initializes the optional value `blending` to blending.
      Parameters:
        `blending` - The value for blending
      Returns:
        `this` builder for use in a chained invocation

    - #### setCulling

          public final R2TranslucentBatched.Builder<M> setCulling(com.io7m.jcanephora.renderstate.JCGLCullingState culling)

      Initializes the value for the `culling` attribute.
      Parameters:
        `culling` - The value for culling
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2TranslucentBatched<M> build()

      Builds a new `R2TranslucentBatched`.
      Returns:
        An immutable instance of R2TranslucentBatched
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com